const express = require('express');
const path = require('path');
const connectDB = require('./mongodb');
const session = require('express-session');

const app = express();

// Middleware
app.use(express.json());
app.use(express.static(path.join(__dirname, 'public')));

// Configuración de la sesión
app.use(
  session({
    secret: 'session_secret',
    resave: false,
    saveUninitialized: false,
    cookie: { secure: false }
  })
);

// Conectar a MongoDB
connectDB();

// Rutas
app.use('/api/todos', require('./routes/todos'));
app.use('/api/users', require('./routes/users'));

// Iniciar el servidor
const PORT = process.env.PORT || 3000;
app.listen(PORT, () => console.log(`Server running on port ${PORT}`));
